### Method

# Phosh Lockscreen add_extra_page

#### Declaration [src]

    void
    phosh_lockscreen_add_extra_page (
      PhoshLockscreen* self,
      GtkWidget* widget
    )

#### Description [src]

Inserts a custom widget into the “extra” page of the lockscreen. This page sits in-between the info page and the keypad page. By default, this page does not exist and is not used. Once an extra page is added, it can be navigated to by swiping and also via calls to `phosh_lockscreen_set_default_page()`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The extra `GtkWidget` to insert into the lockscreen carousel.

  The data is owned by the caller of the method.